<?php

namespace App\Livewire\Shop;

use App\Models\empresa;
use Livewire\Component;
use Livewire\Attributes\Title;
use Livewire\WithFileUploads;
use Illuminate\Support\Facades\Storage;

#[Title('Tienda')]

class ShopComponent extends Component
{
    public $shop;
    public $nombre;
    public $slogan;
    public $telefono;
    public $mail;
    public $direccion;
    public $ciudad;

    public function render()
    {
       
        return view('livewire.shop.shop-component');
    }
    public function mount(){
        $this->shop = empresa::first(); 
    }
    public function edit(){
        $this->clean();
        $this->nombre = $this->shop->nombre;
        $this->slogan = $this->shop->slogan;
        $this->telefono = $this->shop->telefono;
        $this->mail = $this->shop->mail;
        $this->direccion = $this->shop->direccion;
        $this->ciudad = $this->shop->ciudad;

        $this->dispatch('open-modal','modalShop');
    }

    public function update(){

        $rules = [
            'nombre' => 'required|min:5|max:255',
            'slogan' => 'max:255|nullable',
            'telefono' => 'max:255|nullable',
            'mail' => 'email|nullable',
            'direccion' => 'max:255|nullable',
            'ciudad' => 'max:255|nullable',
            

        ];

        $this->validate($rules);

        $this->shop->nombre = $this->nombre;
        $this->shop->slogan = $this->slogan;
        $this->shop->telefono = $this->telefono;
        $this->shop->mail = $this->mail;
        $this->shop->direccion = $this->direccion;
        $this->shop->ciudad = $this->ciudad;

        $this->shop->update();


        $this->dispatch('close-modal','modalShop');
        $this->dispatch('msg','Datos actualizados');

        $this->clean();

        $this->mount();



    }


    public function clean(){
        $this->reset(['nombre','slogan','telefono','mail','direccion','ciudad']);
    }
}
