<?php

namespace Database\Factories;

use Illuminate\Database\Eloquent\Factories\Factory;

/**
 * @extends \Illuminate\Database\Eloquent\Factories\Factory<\App\Models\productos>
 */
class ProductosFactory extends Factory
{
    /**
     * Define the model's default state.
     *
     * @return array<string, mixed>
     */
    public function definition(): array
    {
        return [
        'nombre'=>$this->faker->unique()->words(3,true),
        'descripcion'=>$this->faker->sentence(),
        'costo' => $this->faker->randomNumber(3,true),
        'precio' => $this->faker->randomNumber(3,true),
        'cantidad' => $this->faker->randomNumber(3,true),
        'fecha_vencimiento'=>$this->faker->date('Y-m-d'),
        'clave' => $this->faker->unique()->word(),
        'color' => $this->faker->unique()->word(),
        'resistencia' => $this->faker->unique()->word(2),
        'ancho' => $this->faker->randomNumber(2,true),
        'largo' => $this->faker->randomNumber(2,true),
        'flauta' => $this->faker->randomLetter(),
        'categorias_id' => $this->faker->numberBetween(1,20),
        'activo' => $this->faker->numberBetween(1,1),
          
           
        ];
    }
}
