<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('cotizaciones', function (Blueprint $table) {
            $table->id();
            $table->string('clave')->nullable();
            $table->date('fecha')->nullable();
            $table->string('tipo')->nullable();
            $table->string('descripcion')->nullable();
            $table->decimal('subtotal')->nullable();
            $table->decimal('iva')->nullable();
            $table->decimal('total')->nullable();
            $table->decimal('herramientas')->nullable();
            $table->decimal('suaje')->nullable();
            $table->decimal('placa')->nullable();
            $table->integer('desperdicio')->nullable();
            $table->integer('utilidad')->nullable();
            $table->decimal('transporte')->nullable();
            $table->foreignId('categorias_id')->constrained();


            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('cotizaciones');
    }
};
