<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('productos', function (Blueprint $table) {
            $table->id();
            $table->string('nombre');
            $table->string('descripcion')->nullable();
            $table->unsignedInteger('cantidad')->nullable();
            $table->decimal('costo',10,2)->nullable();
            $table->decimal('precio',10,2)->nullable();
            $table->date('fechavencimiento')->nullable();
            $table->string('clave')->nullable();
            $table->string('color')->nullable();
            $table->string('resitencia')->nullable();
            $table->integer('ancho')->nullable();
            $table->integer('largo')->nullable();
            $table->boolean('activo')->default(true);
            $table->foreignId('categorias_id')->constrained();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('productos');
    }
};
