<div>
    <x-card cardTitle="Lista categorias ({{$this->totalRegistros}})">
        <x-slot:cardTools>
            <a href="#" class="btn btn-primary" wire:click='create'>
            <i class="fas fa-plus-circle"></i> Crear categoria</a>
            
        </x-slot>
        
        <x-table>
            <x-slot:thead>
                <th>ID</th>
                <th>Nombre</th>
                <th width="3%">...</th>
                <th width="3%">...</th>
                <th width="3%">...</th>
            </x-slot>
            @forelse($categories as $category)
           
            <tr>
                <td>{{$category->id}} </td>
                <td>{{$category->nombre}}</td>
                <td>
                    <a href="{{route('categories.show',$category)}}" class="btn btn-success btn-sm" title="Ver">
                        <i class="far fa-eye"></i>
                    </a>
                </td>
                <td>
                    <a href="#" wire:click='edit({{$category->id}})' class="btn btn-primary btn-sm" title="Editar">
                    <i class="far fa-edit"></i>
                    </a>
                </td>
                <td>
                    <a wire:click="$dispatch('delete',{id: {{$category->id}},
                    eventName:'destroyCategory'})" class="btn btn-danger btn-sm" title="Eliminar">
                    <i class="far fa-trash-alt"></i>
                    </a>

                </td>
            </tr>
            @empty
            <tr class="text-center">
                <td colspan="5">Sin Registros</td>
            </tr>

            @endforelse

        </x-table>
        <x-slot:cardFooter>
            {{$categories->links()}}
        </x-slot:cardFooter>
    </x-card>
    
  <x-modal modalId="modalCategory" modalTitle="Categorias">
        <form wire:submit={{$Id==0 ? "store" : "update($Id)"}}>
            <div class="form-row">
                <div class="form-group col-12">
                    <label for="name">Nombre:</label>
                    <input wire:model="nombre" type="text" class="form-control" placeholder="Nombre categoria" id="name">
                    @error('nombre')
                    <div class="alert alert-danger -100 mt-2">{{$message}}</div>
                    @enderror
                </div>    
            </div>
            <button class="btn btn-primary float-right">{{$Id==0 ? 'Guardar' : 'Editar'}}</button>         
        </form>
  </x-modal>
</div>
