<x-modal modalId="modalProduct" modalTitle="Productos" modalSize="modal-lg">
        <form wire:submit={{$Id==0 ? "store" : "update($Id)"}}>
          <div class="row">
                {{--input name--}}
                <div class="form-group col-md-7">
                <label for="name">Nombre:</label>
                <input wire:model="nombre" type="text" class="form-control" placeholder="Nombre producto" id="name">
                @error('nombre')
                <div class="alert alert-danger -100 mt-2">{{$message}}</div>
                @enderror
                </div>    

            
                {{--select categoria--}}
            
                <div class="form-group col-md-5">
                    <label for="categorias_id">Categoria:</label>
                                        
                    <select class="form-control" id="categorias_id" wire:model='categorias_id'>
                    <option value="0">Seleccionar</option>
                     
                    @foreach ($this->categories as $category) 
                    <option value="{{$category->id}}">{{$category->nombre}}</option>
                    @endforeach 
                    </select>
                                       
                    @error('categorias_id')
                    <div class="alert alert-danger -100 mt-2">{{$message}}</div>
                    @enderror
                </div>                
          </div>
            {{--descripcion del producto--}}
            <div class="row">
                <div class="form-group col-md-12">
                    <label for="descripcion">Descripcion:</label>
                    <textarea wire:model='descripcion' id="descripcion" class="form-control" cols='30' rows="2"></textarea>
                                                        
                    @error('descripcion')
                    <div class="alert alert-danger -100 mt-2">{{$message}}</div>
                    @enderror
                </div>                

            </div>
            <div class="row">
                {{--select materiales--}}
                <div class="form-group col-md-3">
                    <label for="materiales_id">Materiales:</label>
                                       
                    <select class="form-control" id="materiales_id" wire:model='materiales_id'>
                        <option value='0'>Seleccionar</option>
                        @foreach ($this->materiales as $material) 
                        <option value="{{$material->id}}">{{$material->nombre}}</option>
                        @endforeach  
                        
                                               
                    </select>
                                       
                    @error('materiales_id')
                    <div class="alert alert-danger -100 mt-2">{{$message}}</div>
                    @enderror
                </div>

                {{--input costo--}}
                <div class="form-group col-md-2">
                <label for="costo">Precio m2:</label>
                <input wire:model="costo" type="text" class="form-control" placeholder="costo metro cuadrado" id="costo">
                @error('costo')
                <div class="alert alert-danger -100 mt-2">{{$message}}</div>
                @enderror
                </div>    
                {{--input color--}}
                <div class="form-group col-md-2">
                <label for="color">Color:</label>
                <input wire:model="color" type="text" class="form-control" placeholder="color" id="color">
                @error('color')
                <div class="alert alert-danger -100 mt-2">{{$message}}</div>
                @enderror
                </div> 
                {{--input resistencia--}}
                <div class="form-group col-md-2">
                <label for="resistencia">Resistencia:</label>
                <input wire:model="resistencia" type="text" class="form-control" placeholder="resistencia" id="resistencia">
                @error('resistencia')
                <div class="alert alert-danger -100 mt-2">{{$message}}</div>
                @enderror
                </div> 
                                {{--input flauta--}}
                <div class="form-group col-md-2">
                <label for="flauta">Flauta:</label>
                <input wire:model="flauta" type="text" class="form-control" placeholder="flauta" id="flauta">
                @error('flauta')
                <div class="alert alert-danger -100 mt-2">{{$message}}</div>
                @enderror
                </div>

            </div>
            <div class="row">
            
                {{--input cantidad--}}
                <div class="form-group col-md-2">
                    <label for="cantidad">Cantidad:</label>
                    <input wire:model="cantidad" min="1" type="text" class="form-control" placeholder="cantidad" id="cantidad">
                    @error('cantidad')
                    <div class="alert alert-danger -100 mt-2">{{$message}}</div>
                    @enderror
                </div>

                    {{--input ancho--}}
                <div class="form-group col-md-2">
                    <label for="ancho">Ancho cm:</label>
                    <input wire:model="ancho" min="0" type="text" class="form-control" placeholder="ancho en cm" id="ancho">
                    @error('ancho')
                    <div class="alert alert-danger -100 mt-2">{{$message}}</div>
                    @enderror
                </div>

                {{--input largo--}}
                <div class="form-group col-md-2">
                    <label for="largo">Largo cm:</label>
                    <input wire:model="largo" min="0" type="text" class="form-control" placeholder="largo en cm" id="largo">
                    @error('largo')
                    <div class="alert alert-danger -100 mt-2">{{$message}}</div>
                    @enderror
                </div>

            {{--input precio--}}
                <div class="form-group col-md-2">
                    <label for="precio">Precio:</label>
                    <input wire:model="precio" min="0" type="text" class="form-control" placeholder="precio" id="precio">
                    @error('precio')
                    <div class="alert alert-danger -100 mt-2">{{$message}}</div>
                    @enderror
                </div>
                
                
                            {{--input fecha vencimiento--}}
                <div class="form-group col-md-3">
                    <label for="fecha_vencimiento">Vencimiento:</label>
                    <input wire:model="fecha_vencimiento" type="date" class="form-control"  id="fecha_vencimiento">
                    @error('fecha_vencimiento')
                    <div class="alert alert-danger -100 mt-2">{{$message}}</div>
                    @enderror
                </div>
                
            </div>
            <div class="row">
                {{--checkbox activo--}}
                <div class="form-group col-md-2">
                    <div class="icheck-primary">
                        
                        <input wire:model='activo' type="checkbox" id="activo" checked>
                        <label for="activo">¿Activo?</label>
                    </div> 
                    
                    @error('activo')
                    <div class="alert alert-danger -100 mt-2">{{$message}}</div>
                    @enderror
                </div>

                {{--archivo imagen--}}
                <div class="form-group col-md-4">
                     <label for="image">Imagen</label>
                        <input wire:model='image' type="file" id="image" accept="image/*">
                   
                @error('image')
                <div class="alert alert-danger -100 mt-2">{{$message}}</div>
                @enderror
                </div> 

                {{-- imagen --}}
                <div class="form-group col-md-4">
                    @if($Id>0)
                        <x-image :item="$product= App\Models\productos::find($Id)" size="100" float="float-right"/>
                    @endif
                    @if ($this->image)
                    <img src="{{$image->temporaryUrl()}}" class="rounded float-right" 
                    width="150">
                    @endif   
                </div>
                  
            </div>

                <div>
                
                    <a href="#" wire:click='calcula({{$product->id}})' class="btn btn-primary btn-sm" title="Calcula">
                    <i class="far fa-edit"></i>
                    </a>
                </div>
                
            <button wire:loading-attr='disabled' class="btn btn-primary float-right">{{$Id==0 ? 'Guardar' : 'Editar'}}</button>  
                  
        </form>
  </x-modal>
